<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Mini51 BSP: StdDriver/inc/timer.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="M0Banner_v2.jpg"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Mini51 BSP
   &#160;<span id="projectnumber">V3.02.002</span>
   </div>
   <div id="projectbrief">The Board Support Package for Mini51 Series</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',false,false,'search.php','Search');
});
/* @license-end */</script>
<div id="main-nav"></div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_0d398eaf8b2db165a9197a6619ec9f0e.html">StdDriver</a></li><li class="navelem"><a class="el" href="dir_727df3ff8d6c08f79694ae8f401a0b8b.html">inc</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">timer.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="timer_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/**************************************************************************/</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="preprocessor">#ifndef __TIMER_H__</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="preprocessor">#define __TIMER_H__</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;</div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="preprocessor">#ifdef __cplusplus</span></div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="keyword">extern</span> <span class="stringliteral">&quot;C&quot;</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;{</div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;</div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;</div><div class="line"><a name="l00033"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga72feaa98c11709d47e90b45a32677b92">   33</a></span>&#160;<span class="preprocessor">#define TIMER_ONESHOT_MODE                  (0UL)                           </span></div><div class="line"><a name="l00034"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga41103f29e7760dcf1747b06d93e1cc59">   34</a></span>&#160;<span class="preprocessor">#define TIMER_PERIODIC_MODE                 (1UL &lt;&lt; TIMER_TCSR_MODE_Pos)    </span></div><div class="line"><a name="l00035"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gad177f87a38087cb248943f9539af9550">   35</a></span>&#160;<span class="preprocessor">#define TIMER_TOGGLE_MODE                   (2UL &lt;&lt; TIMER_TCSR_MODE_Pos)    </span></div><div class="line"><a name="l00036"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaea824dab491cf5c772b2695ac91b4220">   36</a></span>&#160;<span class="preprocessor">#define TIMER_CONTINUOUS_MODE               (3UL &lt;&lt; TIMER_TCSR_MODE_Pos)    </span></div><div class="line"><a name="l00037"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga171c813372b2caafa1aee17b76a0e21e">   37</a></span>&#160;<span class="preprocessor">#define TIMER_CAPTURE_FREE_COUNTING_MODE    (0UL)                           </span></div><div class="line"><a name="l00038"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga5b577508c75113be469bb74b979af91e">   38</a></span>&#160;<span class="preprocessor">#define TIMER_CAPTURE_TRIGGER_COUNTING_MODE (TIMER_TEXCON_CAP_MODE_Msk)     </span></div><div class="line"><a name="l00039"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab10e49633e66d5322d9050a7b2ab6543">   39</a></span>&#160;<span class="preprocessor">#define TIMER_CAPTURE_COUNTER_RESET_MODE    (TIMER_TEXCON_RSTCAPSEL_Msk)    </span></div><div class="line"><a name="l00040"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab928d0fd637d9c0b5472c58c8433fe38">   40</a></span>&#160;<span class="preprocessor">#define TIMER_CAPTURE_FALLING_EDGE              (0UL)                               </span></div><div class="line"><a name="l00041"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gabf4f88d1b078222b7053a850cec8f5f6">   41</a></span>&#160;<span class="preprocessor">#define TIMER_CAPTURE_RISING_EDGE               (1UL &lt;&lt; TIMER_TEXCON_TEX_EDGE_Pos)  </span></div><div class="line"><a name="l00042"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga015b901cc1d26cc790d5fdfd4a4624ca">   42</a></span>&#160;<span class="preprocessor">#define TIMER_CAPTURE_FALLING_THEN_RISING_EDGE  (2UL &lt;&lt; TIMER_TEXCON_TEX_EDGE_Pos)  </span></div><div class="line"><a name="l00043"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaf321dd7ed2d6e6c63bc0a0d9195b623f">   43</a></span>&#160;<span class="preprocessor">#define TIMER_CAPTURE_RISING_THEN_FALLING_EDGE  (3UL &lt;&lt; TIMER_TEXCON_TEX_EDGE_Pos)  </span></div><div class="line"><a name="l00044"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga2cc45560af8a91021231fff3e8b7d43a">   44</a></span>&#160;<span class="preprocessor">#define TIMER_COUNTER_RISING_EDGE           (TIMER_TEXCON_TX_PHASE_Msk)     </span></div><div class="line"><a name="l00045"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga7b7b53305f2df523e3e594f38d0d2c2b">   45</a></span>&#160;<span class="preprocessor">#define TIMER_COUNTER_FALLING_EDGE          (0UL)                           </span></div><div class="line"><a name="l00046"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga43f417c37fca79aeb734380ec3712a50">   46</a></span>&#160;<span class="preprocessor">#define TIMER_TOGGLE_TX                     (0UL)                           </span></div><div class="line"><a name="l00047"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaae21f3d9ee3a03ccebde6fdb92aa9154">   47</a></span>&#160;<span class="preprocessor">#define TIMER_TOGGLE_TXEX                   (TIMER_TCSR_TOGGLE_PIN_Msk)     </span></div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;<span class="preprocessor"> </span><span class="comment">/* end of group MINI51_TIMER_EXPORTED_CONSTANTS */</span><span class="preprocessor"></span></div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;</div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;</div><div class="line"><a name="l00063"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga6e49fe7813cac1655c534a8f61be9cc9">   63</a></span>&#160;<span class="preprocessor">#define TIMER_SET_CMP_VALUE(timer, u32Value) ((timer)-&gt;TCMPR = (u32Value))</span></div><div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;</div><div class="line"><a name="l00073"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga221a29b6c59e6a5bd198050ec97355ab">   73</a></span>&#160;<span class="preprocessor">#define TIMER_SET_PRESCALE_VALUE(timer, u32Value) ((timer)-&gt;TCSR = ((timer)-&gt;TCSR &amp; ~TIMER_TCSR_PRESCALE_Msk) | (u32Value))</span></div><div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;</div><div class="line"><a name="l00083"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae6280e5315f28fd136e7fa168337891d">   83</a></span>&#160;<span class="preprocessor">#define TIMER_IS_ACTIVE(timer) ((timer)-&gt;TCSR &amp; TIMER_TCSR_CACT_Msk ? 1 : 0)</span></div><div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;</div><div class="line"><a name="l00094"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa7547c42e7f0dda1997e18a7d361cf67">   94</a></span>&#160;<span class="preprocessor">#define TIMER_SELECT_TOUT_PIN(timer, u32ToutSel) ((timer)-&gt;TCSR = ((timer)-&gt;TCSR &amp; ~TIMER_TCSR_TOGGLE_PIN_Msk) | (u32ToutSel))</span></div><div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;</div><div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;</div><div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;</div><div class="line"><a name="l00103"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga0fd1d66fab73f93376485bb989fc7c67">  103</a></span>&#160;__STATIC_INLINE <span class="keywordtype">void</span> <a class="code" href="group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga0fd1d66fab73f93376485bb989fc7c67">TIMER_Start</a>(<a class="code" href="struct_t_i_m_e_r___t.html">TIMER_T</a> *timer)</div><div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;{</div><div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;    timer-&gt;<a class="code" href="struct_t_i_m_e_r___t.html#a48abedbfa535d900d5b544d8bcf2edf6">TCSR</a> |= <a class="code" href="_mini51_series_8h.html#a94d08585a4ef3b9104fa1367886bf6ac">TIMER_TCSR_CEN_Msk</a>;</div><div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;}</div><div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;</div><div class="line"><a name="l00113"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3095d4cc3f95ffec3c02cfd1b38db9e8">  113</a></span>&#160;__STATIC_INLINE <span class="keywordtype">void</span> <a class="code" href="group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3095d4cc3f95ffec3c02cfd1b38db9e8">TIMER_Stop</a>(<a class="code" href="struct_t_i_m_e_r___t.html">TIMER_T</a> *timer)</div><div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;{</div><div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160;    timer-&gt;<a class="code" href="struct_t_i_m_e_r___t.html#a48abedbfa535d900d5b544d8bcf2edf6">TCSR</a> &amp;= ~<a class="code" href="_mini51_series_8h.html#a94d08585a4ef3b9104fa1367886bf6ac">TIMER_TCSR_CEN_Msk</a>;</div><div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160;}</div><div class="line"><a name="l00117"></a><span class="lineno">  117</span>&#160;</div><div class="line"><a name="l00124"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad445a69f7f52303a643e5f9387a558c3">  124</a></span>&#160;__STATIC_INLINE <span class="keywordtype">void</span> <a class="code" href="group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad445a69f7f52303a643e5f9387a558c3">TIMER_EnableWakeup</a>(<a class="code" href="struct_t_i_m_e_r___t.html">TIMER_T</a> *timer)</div><div class="line"><a name="l00125"></a><span class="lineno">  125</span>&#160;{</div><div class="line"><a name="l00126"></a><span class="lineno">  126</span>&#160;    timer-&gt;<a class="code" href="struct_t_i_m_e_r___t.html#a48abedbfa535d900d5b544d8bcf2edf6">TCSR</a> |= <a class="code" href="_mini51_series_8h.html#aa51acd745fc81fa0f130af746eb05e13">TIMER_TCSR_WAKE_EN_Msk</a>;</div><div class="line"><a name="l00127"></a><span class="lineno">  127</span>&#160;}</div><div class="line"><a name="l00128"></a><span class="lineno">  128</span>&#160;</div><div class="line"><a name="l00134"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga583f9d7339d496764f99429fbd81dbab">  134</a></span>&#160;__STATIC_INLINE <span class="keywordtype">void</span> <a class="code" href="group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga583f9d7339d496764f99429fbd81dbab">TIMER_DisableWakeup</a>(<a class="code" href="struct_t_i_m_e_r___t.html">TIMER_T</a> *timer)</div><div class="line"><a name="l00135"></a><span class="lineno">  135</span>&#160;{</div><div class="line"><a name="l00136"></a><span class="lineno">  136</span>&#160;    timer-&gt;<a class="code" href="struct_t_i_m_e_r___t.html#a48abedbfa535d900d5b544d8bcf2edf6">TCSR</a> &amp;= ~<a class="code" href="_mini51_series_8h.html#aa51acd745fc81fa0f130af746eb05e13">TIMER_TCSR_WAKE_EN_Msk</a>;</div><div class="line"><a name="l00137"></a><span class="lineno">  137</span>&#160;}</div><div class="line"><a name="l00138"></a><span class="lineno">  138</span>&#160;</div><div class="line"><a name="l00139"></a><span class="lineno">  139</span>&#160;</div><div class="line"><a name="l00145"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga93f7d80dbfd81ef63f185a9b1593f2d8">  145</a></span>&#160;__STATIC_INLINE <span class="keywordtype">void</span> <a class="code" href="group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga93f7d80dbfd81ef63f185a9b1593f2d8">TIMER_EnableCaptureDebounce</a>(<a class="code" href="struct_t_i_m_e_r___t.html">TIMER_T</a> *timer)</div><div class="line"><a name="l00146"></a><span class="lineno">  146</span>&#160;{</div><div class="line"><a name="l00147"></a><span class="lineno">  147</span>&#160;    timer-&gt;<a class="code" href="struct_t_i_m_e_r___t.html#a2c442e179e902bc7610b995bf3336041">TEXCON</a> |= <a class="code" href="_mini51_series_8h.html#affdad20b9b2987b52ac6f7217d37844f">TIMER_TEXCON_TEXDB_Msk</a>;</div><div class="line"><a name="l00148"></a><span class="lineno">  148</span>&#160;}</div><div class="line"><a name="l00149"></a><span class="lineno">  149</span>&#160;</div><div class="line"><a name="l00155"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga136dfd19065e793a25d724a558a6282b">  155</a></span>&#160;__STATIC_INLINE <span class="keywordtype">void</span> <a class="code" href="group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga136dfd19065e793a25d724a558a6282b">TIMER_DisableCaptureDebounce</a>(<a class="code" href="struct_t_i_m_e_r___t.html">TIMER_T</a> *timer)</div><div class="line"><a name="l00156"></a><span class="lineno">  156</span>&#160;{</div><div class="line"><a name="l00157"></a><span class="lineno">  157</span>&#160;    timer-&gt;<a class="code" href="struct_t_i_m_e_r___t.html#a2c442e179e902bc7610b995bf3336041">TEXCON</a> &amp;= ~<a class="code" href="_mini51_series_8h.html#affdad20b9b2987b52ac6f7217d37844f">TIMER_TEXCON_TEXDB_Msk</a>;</div><div class="line"><a name="l00158"></a><span class="lineno">  158</span>&#160;}</div><div class="line"><a name="l00159"></a><span class="lineno">  159</span>&#160;</div><div class="line"><a name="l00160"></a><span class="lineno">  160</span>&#160;</div><div class="line"><a name="l00166"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga31b3fb31ec0e81e3d76ea04434a927ef">  166</a></span>&#160;__STATIC_INLINE <span class="keywordtype">void</span> <a class="code" href="group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga31b3fb31ec0e81e3d76ea04434a927ef">TIMER_EnableEventCounterDebounce</a>(<a class="code" href="struct_t_i_m_e_r___t.html">TIMER_T</a> *timer)</div><div class="line"><a name="l00167"></a><span class="lineno">  167</span>&#160;{</div><div class="line"><a name="l00168"></a><span class="lineno">  168</span>&#160;    timer-&gt;<a class="code" href="struct_t_i_m_e_r___t.html#a2c442e179e902bc7610b995bf3336041">TEXCON</a> |= <a class="code" href="_mini51_series_8h.html#a196c550c808ba20140cb1ad9faf0a4f9">TIMER_TEXCON_TCDB_Msk</a>;</div><div class="line"><a name="l00169"></a><span class="lineno">  169</span>&#160;}</div><div class="line"><a name="l00170"></a><span class="lineno">  170</span>&#160;</div><div class="line"><a name="l00176"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga90c44d7420eb48f3e68aed6218140b76">  176</a></span>&#160;__STATIC_INLINE <span class="keywordtype">void</span> <a class="code" href="group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga90c44d7420eb48f3e68aed6218140b76">TIMER_DisableEventCounterDebounce</a>(<a class="code" href="struct_t_i_m_e_r___t.html">TIMER_T</a> *timer)</div><div class="line"><a name="l00177"></a><span class="lineno">  177</span>&#160;{</div><div class="line"><a name="l00178"></a><span class="lineno">  178</span>&#160;    timer-&gt;<a class="code" href="struct_t_i_m_e_r___t.html#a2c442e179e902bc7610b995bf3336041">TEXCON</a> &amp;= ~<a class="code" href="_mini51_series_8h.html#a196c550c808ba20140cb1ad9faf0a4f9">TIMER_TEXCON_TCDB_Msk</a>;</div><div class="line"><a name="l00179"></a><span class="lineno">  179</span>&#160;}</div><div class="line"><a name="l00180"></a><span class="lineno">  180</span>&#160;</div><div class="line"><a name="l00186"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga52dcaf3256ba36374a25b92acb56de78">  186</a></span>&#160;__STATIC_INLINE <span class="keywordtype">void</span> <a class="code" href="group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga52dcaf3256ba36374a25b92acb56de78">TIMER_EnableInt</a>(<a class="code" href="struct_t_i_m_e_r___t.html">TIMER_T</a> *timer)</div><div class="line"><a name="l00187"></a><span class="lineno">  187</span>&#160;{</div><div class="line"><a name="l00188"></a><span class="lineno">  188</span>&#160;    timer-&gt;<a class="code" href="struct_t_i_m_e_r___t.html#a48abedbfa535d900d5b544d8bcf2edf6">TCSR</a> |= <a class="code" href="_mini51_series_8h.html#a4541238100cc545e17d70d2d7cbef0d3">TIMER_TCSR_IE_Msk</a>;</div><div class="line"><a name="l00189"></a><span class="lineno">  189</span>&#160;}</div><div class="line"><a name="l00190"></a><span class="lineno">  190</span>&#160;</div><div class="line"><a name="l00196"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga46ea44652b848c9e942d1896b32ce771">  196</a></span>&#160;__STATIC_INLINE <span class="keywordtype">void</span> <a class="code" href="group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga46ea44652b848c9e942d1896b32ce771">TIMER_DisableInt</a>(<a class="code" href="struct_t_i_m_e_r___t.html">TIMER_T</a> *timer)</div><div class="line"><a name="l00197"></a><span class="lineno">  197</span>&#160;{</div><div class="line"><a name="l00198"></a><span class="lineno">  198</span>&#160;    timer-&gt;<a class="code" href="struct_t_i_m_e_r___t.html#a48abedbfa535d900d5b544d8bcf2edf6">TCSR</a> &amp;= ~<a class="code" href="_mini51_series_8h.html#a4541238100cc545e17d70d2d7cbef0d3">TIMER_TCSR_IE_Msk</a>;</div><div class="line"><a name="l00199"></a><span class="lineno">  199</span>&#160;}</div><div class="line"><a name="l00200"></a><span class="lineno">  200</span>&#160;</div><div class="line"><a name="l00206"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad2287e49bacc47dc186b4f1a784ccf70">  206</a></span>&#160;__STATIC_INLINE <span class="keywordtype">void</span> <a class="code" href="group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad2287e49bacc47dc186b4f1a784ccf70">TIMER_EnableCaptureInt</a>(<a class="code" href="struct_t_i_m_e_r___t.html">TIMER_T</a> *timer)</div><div class="line"><a name="l00207"></a><span class="lineno">  207</span>&#160;{</div><div class="line"><a name="l00208"></a><span class="lineno">  208</span>&#160;    timer-&gt;<a class="code" href="struct_t_i_m_e_r___t.html#a2c442e179e902bc7610b995bf3336041">TEXCON</a> |= <a class="code" href="_mini51_series_8h.html#a286ba6e030c3fbb96ec46b768605baba">TIMER_TEXCON_TEXIEN_Msk</a>;</div><div class="line"><a name="l00209"></a><span class="lineno">  209</span>&#160;}</div><div class="line"><a name="l00210"></a><span class="lineno">  210</span>&#160;</div><div class="line"><a name="l00216"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab020df868b09255cae42e676f2ed7113">  216</a></span>&#160;__STATIC_INLINE <span class="keywordtype">void</span> <a class="code" href="group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab020df868b09255cae42e676f2ed7113">TIMER_DisableCaptureInt</a>(<a class="code" href="struct_t_i_m_e_r___t.html">TIMER_T</a> *timer)</div><div class="line"><a name="l00217"></a><span class="lineno">  217</span>&#160;{</div><div class="line"><a name="l00218"></a><span class="lineno">  218</span>&#160;    timer-&gt;<a class="code" href="struct_t_i_m_e_r___t.html#a2c442e179e902bc7610b995bf3336041">TEXCON</a> &amp;= ~<a class="code" href="_mini51_series_8h.html#a286ba6e030c3fbb96ec46b768605baba">TIMER_TEXCON_TEXIEN_Msk</a>;</div><div class="line"><a name="l00219"></a><span class="lineno">  219</span>&#160;}</div><div class="line"><a name="l00220"></a><span class="lineno">  220</span>&#160;</div><div class="line"><a name="l00228"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaefa1dedc6523e6c1988cde80a514957e">  228</a></span>&#160;__STATIC_INLINE uint32_t <a class="code" href="group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaefa1dedc6523e6c1988cde80a514957e">TIMER_GetIntFlag</a>(<a class="code" href="struct_t_i_m_e_r___t.html">TIMER_T</a> *timer)</div><div class="line"><a name="l00229"></a><span class="lineno">  229</span>&#160;{</div><div class="line"><a name="l00230"></a><span class="lineno">  230</span>&#160;    <span class="keywordflow">return</span>(timer-&gt;<a class="code" href="struct_t_i_m_e_r___t.html#ad024448a606c2214c11475426fb23d35">TISR</a> &amp; <a class="code" href="_mini51_series_8h.html#a3fb1aadddedb4cea4eab86779ca4bdce">TIMER_TISR_TIF_Msk</a> ? 1 : 0);</div><div class="line"><a name="l00231"></a><span class="lineno">  231</span>&#160;}</div><div class="line"><a name="l00232"></a><span class="lineno">  232</span>&#160;</div><div class="line"><a name="l00238"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga0e4d868cd866609e1b98e685029e399d">  238</a></span>&#160;__STATIC_INLINE <span class="keywordtype">void</span> <a class="code" href="group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga0e4d868cd866609e1b98e685029e399d">TIMER_ClearIntFlag</a>(<a class="code" href="struct_t_i_m_e_r___t.html">TIMER_T</a> *timer)</div><div class="line"><a name="l00239"></a><span class="lineno">  239</span>&#160;{</div><div class="line"><a name="l00240"></a><span class="lineno">  240</span>&#160;    timer-&gt;<a class="code" href="struct_t_i_m_e_r___t.html#ad024448a606c2214c11475426fb23d35">TISR</a> = <a class="code" href="_mini51_series_8h.html#a3fb1aadddedb4cea4eab86779ca4bdce">TIMER_TISR_TIF_Msk</a>;</div><div class="line"><a name="l00241"></a><span class="lineno">  241</span>&#160;}</div><div class="line"><a name="l00242"></a><span class="lineno">  242</span>&#160;</div><div class="line"><a name="l00250"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga348a52b97a987e141d4406e5bb253896">  250</a></span>&#160;__STATIC_INLINE uint32_t <a class="code" href="group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga348a52b97a987e141d4406e5bb253896">TIMER_GetCaptureIntFlag</a>(<a class="code" href="struct_t_i_m_e_r___t.html">TIMER_T</a> *timer)</div><div class="line"><a name="l00251"></a><span class="lineno">  251</span>&#160;{</div><div class="line"><a name="l00252"></a><span class="lineno">  252</span>&#160;    <span class="keywordflow">return</span> timer-&gt;<a class="code" href="struct_t_i_m_e_r___t.html#acccdb5f192f04f6cc1624399c77c4fa7">TEXISR</a>;</div><div class="line"><a name="l00253"></a><span class="lineno">  253</span>&#160;}</div><div class="line"><a name="l00254"></a><span class="lineno">  254</span>&#160;</div><div class="line"><a name="l00260"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3d5a910f2caff7a8e7ee2390a534463c">  260</a></span>&#160;__STATIC_INLINE <span class="keywordtype">void</span> <a class="code" href="group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3d5a910f2caff7a8e7ee2390a534463c">TIMER_ClearCaptureIntFlag</a>(<a class="code" href="struct_t_i_m_e_r___t.html">TIMER_T</a> *timer)</div><div class="line"><a name="l00261"></a><span class="lineno">  261</span>&#160;{</div><div class="line"><a name="l00262"></a><span class="lineno">  262</span>&#160;    timer-&gt;<a class="code" href="struct_t_i_m_e_r___t.html#acccdb5f192f04f6cc1624399c77c4fa7">TEXISR</a> = <a class="code" href="_mini51_series_8h.html#a5dc2c76ee16454270b3f52350953c256">TIMER_TEXISR_TEXIF_Msk</a>;</div><div class="line"><a name="l00263"></a><span class="lineno">  263</span>&#160;}</div><div class="line"><a name="l00264"></a><span class="lineno">  264</span>&#160;</div><div class="line"><a name="l00272"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3e1ee4f64bd158bbb76acaac4e25b90a">  272</a></span>&#160;__STATIC_INLINE uint32_t <a class="code" href="group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3e1ee4f64bd158bbb76acaac4e25b90a">TIMER_GetWakeupFlag</a>(<a class="code" href="struct_t_i_m_e_r___t.html">TIMER_T</a> *timer)</div><div class="line"><a name="l00273"></a><span class="lineno">  273</span>&#160;{</div><div class="line"><a name="l00274"></a><span class="lineno">  274</span>&#160;    <span class="keywordflow">return</span> (timer-&gt;<a class="code" href="struct_t_i_m_e_r___t.html#ad024448a606c2214c11475426fb23d35">TISR</a> &amp; <a class="code" href="_mini51_series_8h.html#a61deb99df223c692c652e6b978df2bb6">TIMER_TISR_TWF_Msk</a> ? 1 : 0);</div><div class="line"><a name="l00275"></a><span class="lineno">  275</span>&#160;}</div><div class="line"><a name="l00276"></a><span class="lineno">  276</span>&#160;</div><div class="line"><a name="l00282"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaf78a85b8781c5cba0d3dfaa30b9c1248">  282</a></span>&#160;__STATIC_INLINE <span class="keywordtype">void</span> <a class="code" href="group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaf78a85b8781c5cba0d3dfaa30b9c1248">TIMER_ClearWakeupFlag</a>(<a class="code" href="struct_t_i_m_e_r___t.html">TIMER_T</a> *timer)</div><div class="line"><a name="l00283"></a><span class="lineno">  283</span>&#160;{</div><div class="line"><a name="l00284"></a><span class="lineno">  284</span>&#160;    timer-&gt;<a class="code" href="struct_t_i_m_e_r___t.html#ad024448a606c2214c11475426fb23d35">TISR</a> = <a class="code" href="_mini51_series_8h.html#a61deb99df223c692c652e6b978df2bb6">TIMER_TISR_TWF_Msk</a>;</div><div class="line"><a name="l00285"></a><span class="lineno">  285</span>&#160;}</div><div class="line"><a name="l00286"></a><span class="lineno">  286</span>&#160;</div><div class="line"><a name="l00292"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga04e518c504610075d9b8760d2e77eb82">  292</a></span>&#160;__STATIC_INLINE uint32_t <a class="code" href="group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga04e518c504610075d9b8760d2e77eb82">TIMER_GetCaptureData</a>(<a class="code" href="struct_t_i_m_e_r___t.html">TIMER_T</a> *timer)</div><div class="line"><a name="l00293"></a><span class="lineno">  293</span>&#160;{</div><div class="line"><a name="l00294"></a><span class="lineno">  294</span>&#160;    <span class="keywordflow">return</span> timer-&gt;<a class="code" href="struct_t_i_m_e_r___t.html#a318a005634055ef475a9a49ca8689a6c">TCAP</a>;</div><div class="line"><a name="l00295"></a><span class="lineno">  295</span>&#160;}</div><div class="line"><a name="l00296"></a><span class="lineno">  296</span>&#160;</div><div class="line"><a name="l00302"></a><span class="lineno"><a class="line" href="group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga0e28cb4a25335a5b32e2e5edcae2161f">  302</a></span>&#160;__STATIC_INLINE uint32_t <a class="code" href="group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga0e28cb4a25335a5b32e2e5edcae2161f">TIMER_GetCounter</a>(<a class="code" href="struct_t_i_m_e_r___t.html">TIMER_T</a> *timer)</div><div class="line"><a name="l00303"></a><span class="lineno">  303</span>&#160;{</div><div class="line"><a name="l00304"></a><span class="lineno">  304</span>&#160;    <span class="keywordflow">return</span> timer-&gt;<a class="code" href="struct_t_i_m_e_r___t.html#aefd319497c0455130b863e99e93a9f95">TDR</a>;</div><div class="line"><a name="l00305"></a><span class="lineno">  305</span>&#160;}</div><div class="line"><a name="l00306"></a><span class="lineno">  306</span>&#160;</div><div class="line"><a name="l00307"></a><span class="lineno">  307</span>&#160;uint32_t <a class="code" href="group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga234d45c63fb6f5e977dbef2294089621">TIMER_Open</a>(<a class="code" href="struct_t_i_m_e_r___t.html">TIMER_T</a> *timer, uint32_t u32Mode, uint32_t u32Freq);</div><div class="line"><a name="l00308"></a><span class="lineno">  308</span>&#160;<span class="keywordtype">void</span> <a class="code" href="group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga83113a85eb313523f4ec35ab585d8968">TIMER_Close</a>(<a class="code" href="struct_t_i_m_e_r___t.html">TIMER_T</a> *timer);</div><div class="line"><a name="l00309"></a><span class="lineno">  309</span>&#160;<span class="keywordtype">void</span> <a class="code" href="group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga0dad1dbaf69f945c3d0d5aa91c4eef86">TIMER_Delay</a>(<a class="code" href="struct_t_i_m_e_r___t.html">TIMER_T</a> *timer, uint32_t u32Usec);</div><div class="line"><a name="l00310"></a><span class="lineno">  310</span>&#160;<span class="keywordtype">void</span> <a class="code" href="group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga80ba64bdc40d36cb4a2139f4651b1c42">TIMER_EnableCapture</a>(<a class="code" href="struct_t_i_m_e_r___t.html">TIMER_T</a> *timer, uint32_t u32CapMode, uint32_t u32Edge);</div><div class="line"><a name="l00311"></a><span class="lineno">  311</span>&#160;<span class="keywordtype">void</span> <a class="code" href="group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1de0e4c2c84476d6c39d40a3bcaac18a">TIMER_DisableCapture</a>(<a class="code" href="struct_t_i_m_e_r___t.html">TIMER_T</a> *timer);</div><div class="line"><a name="l00312"></a><span class="lineno">  312</span>&#160;<span class="keywordtype">void</span> <a class="code" href="group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga72fc8741562dbff619aa7dfe8b73c0a7">TIMER_EnableEventCounter</a>(<a class="code" href="struct_t_i_m_e_r___t.html">TIMER_T</a> *timer, uint32_t u32Edge);</div><div class="line"><a name="l00313"></a><span class="lineno">  313</span>&#160;<span class="keywordtype">void</span> <a class="code" href="group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga4460ba2e5f3bdddafab005e1e1fda0da">TIMER_DisableEventCounter</a>(<a class="code" href="struct_t_i_m_e_r___t.html">TIMER_T</a> *timer);</div><div class="line"><a name="l00314"></a><span class="lineno">  314</span>&#160;uint32_t <a class="code" href="group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga56facc5683886f3ff3b273a3b5e47fcd">TIMER_GetModuleClock</a>(<a class="code" href="struct_t_i_m_e_r___t.html">TIMER_T</a> *timer);</div><div class="line"><a name="l00315"></a><span class="lineno">  315</span>&#160;</div><div class="line"><a name="l00316"></a><span class="lineno">  316</span>&#160; <span class="comment">/* end of group MINI51_TIMER_EXPORTED_FUNCTIONS */</span></div><div class="line"><a name="l00318"></a><span class="lineno">  318</span>&#160; <span class="comment">/* end of group MINI51_TIMER_Driver */</span></div><div class="line"><a name="l00320"></a><span class="lineno">  320</span>&#160; <span class="comment">/* end of group MINI51_Device_Driver */</span></div><div class="line"><a name="l00322"></a><span class="lineno">  322</span>&#160;</div><div class="line"><a name="l00323"></a><span class="lineno">  323</span>&#160;<span class="preprocessor">#ifdef __cplusplus</span></div><div class="line"><a name="l00324"></a><span class="lineno">  324</span>&#160;}</div><div class="line"><a name="l00325"></a><span class="lineno">  325</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00326"></a><span class="lineno">  326</span>&#160;</div><div class="line"><a name="l00327"></a><span class="lineno">  327</span>&#160;<span class="preprocessor">#endif //__TIMER_H__</span></div><div class="line"><a name="l00328"></a><span class="lineno">  328</span>&#160;</div><div class="line"><a name="l00329"></a><span class="lineno">  329</span>&#160;<span class="comment">/*** (C) COPYRIGHT 2013 Nuvoton Technology Corp. ***/</span></div><div class="ttc" id="_mini51_series_8h_html_a61deb99df223c692c652e6b978df2bb6"><div class="ttname"><a href="_mini51_series_8h.html#a61deb99df223c692c652e6b978df2bb6">TIMER_TISR_TWF_Msk</a></div><div class="ttdeci">#define TIMER_TISR_TWF_Msk</div><div class="ttdef"><b>Definition:</b> <a href="_mini51_series_8h_source.html#l08521">Mini51Series.h:8521</a></div></div>
<div class="ttc" id="group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga93f7d80dbfd81ef63f185a9b1593f2d8"><div class="ttname"><a href="group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga93f7d80dbfd81ef63f185a9b1593f2d8">TIMER_EnableCaptureDebounce</a></div><div class="ttdeci">__STATIC_INLINE void TIMER_EnableCaptureDebounce(TIMER_T *timer)</div><div class="ttdoc">This function is used to enable the capture pin detection de-bounce function.</div><div class="ttdef"><b>Definition:</b> <a href="timer_8h_source.html#l00145">timer.h:145</a></div></div>
<div class="ttc" id="group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga31b3fb31ec0e81e3d76ea04434a927ef"><div class="ttname"><a href="group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga31b3fb31ec0e81e3d76ea04434a927ef">TIMER_EnableEventCounterDebounce</a></div><div class="ttdeci">__STATIC_INLINE void TIMER_EnableEventCounterDebounce(TIMER_T *timer)</div><div class="ttdoc">This function is used to enable the counter pin detection de-bounce function.</div><div class="ttdef"><b>Definition:</b> <a href="timer_8h_source.html#l00166">timer.h:166</a></div></div>
<div class="ttc" id="_mini51_series_8h_html_a286ba6e030c3fbb96ec46b768605baba"><div class="ttname"><a href="_mini51_series_8h.html#a286ba6e030c3fbb96ec46b768605baba">TIMER_TEXCON_TEXIEN_Msk</a></div><div class="ttdeci">#define TIMER_TEXCON_TEXIEN_Msk</div><div class="ttdef"><b>Definition:</b> <a href="_mini51_series_8h_source.html#l08542">Mini51Series.h:8542</a></div></div>
<div class="ttc" id="_mini51_series_8h_html_a3fb1aadddedb4cea4eab86779ca4bdce"><div class="ttname"><a href="_mini51_series_8h.html#a3fb1aadddedb4cea4eab86779ca4bdce">TIMER_TISR_TIF_Msk</a></div><div class="ttdeci">#define TIMER_TISR_TIF_Msk</div><div class="ttdef"><b>Definition:</b> <a href="_mini51_series_8h_source.html#l08518">Mini51Series.h:8518</a></div></div>
<div class="ttc" id="struct_t_i_m_e_r___t_html_a2c442e179e902bc7610b995bf3336041"><div class="ttname"><a href="struct_t_i_m_e_r___t.html#a2c442e179e902bc7610b995bf3336041">TIMER_T::TEXCON</a></div><div class="ttdeci">__IO uint32_t TEXCON</div><div class="ttdef"><b>Definition:</b> <a href="_mini51_series_8h_source.html#l08461">Mini51Series.h:8461</a></div></div>
<div class="ttc" id="group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga83113a85eb313523f4ec35ab585d8968"><div class="ttname"><a href="group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga83113a85eb313523f4ec35ab585d8968">TIMER_Close</a></div><div class="ttdeci">void TIMER_Close(TIMER_T *timer)</div><div class="ttdoc">This API stops Timer counting and disable the Timer interrupt function.</div><div class="ttdef"><b>Definition:</b> <a href="timer_8c_source.html#l00073">timer.c:73</a></div></div>
<div class="ttc" id="group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gab020df868b09255cae42e676f2ed7113"><div class="ttname"><a href="group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab020df868b09255cae42e676f2ed7113">TIMER_DisableCaptureInt</a></div><div class="ttdeci">__STATIC_INLINE void TIMER_DisableCaptureInt(TIMER_T *timer)</div><div class="ttdoc">This function is used to disable the Timer capture trigger interrupt function.</div><div class="ttdef"><b>Definition:</b> <a href="timer_8h_source.html#l00216">timer.h:216</a></div></div>
<div class="ttc" id="group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga0e28cb4a25335a5b32e2e5edcae2161f"><div class="ttname"><a href="group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga0e28cb4a25335a5b32e2e5edcae2161f">TIMER_GetCounter</a></div><div class="ttdeci">__STATIC_INLINE uint32_t TIMER_GetCounter(TIMER_T *timer)</div><div class="ttdoc">This function reports the current timer counter value.</div><div class="ttdef"><b>Definition:</b> <a href="timer_8h_source.html#l00302">timer.h:302</a></div></div>
<div class="ttc" id="group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga46ea44652b848c9e942d1896b32ce771"><div class="ttname"><a href="group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga46ea44652b848c9e942d1896b32ce771">TIMER_DisableInt</a></div><div class="ttdeci">__STATIC_INLINE void TIMER_DisableInt(TIMER_T *timer)</div><div class="ttdoc">This function is used to disable the Timer time-out interrupt function.</div><div class="ttdef"><b>Definition:</b> <a href="timer_8h_source.html#l00196">timer.h:196</a></div></div>
<div class="ttc" id="_mini51_series_8h_html_a94d08585a4ef3b9104fa1367886bf6ac"><div class="ttname"><a href="_mini51_series_8h.html#a94d08585a4ef3b9104fa1367886bf6ac">TIMER_TCSR_CEN_Msk</a></div><div class="ttdeci">#define TIMER_TCSR_CEN_Msk</div><div class="ttdef"><b>Definition:</b> <a href="_mini51_series_8h_source.html#l08509">Mini51Series.h:8509</a></div></div>
<div class="ttc" id="_mini51_series_8h_html_a4541238100cc545e17d70d2d7cbef0d3"><div class="ttname"><a href="_mini51_series_8h.html#a4541238100cc545e17d70d2d7cbef0d3">TIMER_TCSR_IE_Msk</a></div><div class="ttdeci">#define TIMER_TCSR_IE_Msk</div><div class="ttdef"><b>Definition:</b> <a href="_mini51_series_8h_source.html#l08506">Mini51Series.h:8506</a></div></div>
<div class="ttc" id="group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga348a52b97a987e141d4406e5bb253896"><div class="ttname"><a href="group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga348a52b97a987e141d4406e5bb253896">TIMER_GetCaptureIntFlag</a></div><div class="ttdeci">__STATIC_INLINE uint32_t TIMER_GetCaptureIntFlag(TIMER_T *timer)</div><div class="ttdoc">This function indicates Timer capture interrupt occurred or not.</div><div class="ttdef"><b>Definition:</b> <a href="timer_8h_source.html#l00250">timer.h:250</a></div></div>
<div class="ttc" id="group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga1de0e4c2c84476d6c39d40a3bcaac18a"><div class="ttname"><a href="group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1de0e4c2c84476d6c39d40a3bcaac18a">TIMER_DisableCapture</a></div><div class="ttdeci">void TIMER_DisableCapture(TIMER_T *timer)</div><div class="ttdoc">This API is used to disable the Timer capture function.</div><div class="ttdef"><b>Definition:</b> <a href="timer_8c_source.html#l00159">timer.c:159</a></div></div>
<div class="ttc" id="group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga52dcaf3256ba36374a25b92acb56de78"><div class="ttname"><a href="group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga52dcaf3256ba36374a25b92acb56de78">TIMER_EnableInt</a></div><div class="ttdeci">__STATIC_INLINE void TIMER_EnableInt(TIMER_T *timer)</div><div class="ttdoc">This function is used to enable the Timer time-out interrupt function.</div><div class="ttdef"><b>Definition:</b> <a href="timer_8h_source.html#l00186">timer.h:186</a></div></div>
<div class="ttc" id="group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga136dfd19065e793a25d724a558a6282b"><div class="ttname"><a href="group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga136dfd19065e793a25d724a558a6282b">TIMER_DisableCaptureDebounce</a></div><div class="ttdeci">__STATIC_INLINE void TIMER_DisableCaptureDebounce(TIMER_T *timer)</div><div class="ttdoc">This function is used to disable the capture pin detection de-bounce function.</div><div class="ttdef"><b>Definition:</b> <a href="timer_8h_source.html#l00155">timer.h:155</a></div></div>
<div class="ttc" id="group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga3d5a910f2caff7a8e7ee2390a534463c"><div class="ttname"><a href="group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3d5a910f2caff7a8e7ee2390a534463c">TIMER_ClearCaptureIntFlag</a></div><div class="ttdeci">__STATIC_INLINE void TIMER_ClearCaptureIntFlag(TIMER_T *timer)</div><div class="ttdoc">This function clears the Timer capture interrupt flag.</div><div class="ttdef"><b>Definition:</b> <a href="timer_8h_source.html#l00260">timer.h:260</a></div></div>
<div class="ttc" id="group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga3095d4cc3f95ffec3c02cfd1b38db9e8"><div class="ttname"><a href="group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3095d4cc3f95ffec3c02cfd1b38db9e8">TIMER_Stop</a></div><div class="ttdeci">__STATIC_INLINE void TIMER_Stop(TIMER_T *timer)</div><div class="ttdoc">This function is used to stop Timer counting.</div><div class="ttdef"><b>Definition:</b> <a href="timer_8h_source.html#l00113">timer.h:113</a></div></div>
<div class="ttc" id="_mini51_series_8h_html_a196c550c808ba20140cb1ad9faf0a4f9"><div class="ttname"><a href="_mini51_series_8h.html#a196c550c808ba20140cb1ad9faf0a4f9">TIMER_TEXCON_TCDB_Msk</a></div><div class="ttdeci">#define TIMER_TEXCON_TCDB_Msk</div><div class="ttdef"><b>Definition:</b> <a href="_mini51_series_8h_source.html#l08548">Mini51Series.h:8548</a></div></div>
<div class="ttc" id="group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga56facc5683886f3ff3b273a3b5e47fcd"><div class="ttname"><a href="group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga56facc5683886f3ff3b273a3b5e47fcd">TIMER_GetModuleClock</a></div><div class="ttdeci">uint32_t TIMER_GetModuleClock(TIMER_T *timer)</div><div class="ttdoc">This API is used to get the clock frequency of Timer.</div><div class="ttdef"><b>Definition:</b> <a href="timer_8c_source.html#l00196">timer.c:196</a></div></div>
<div class="ttc" id="group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga80ba64bdc40d36cb4a2139f4651b1c42"><div class="ttname"><a href="group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga80ba64bdc40d36cb4a2139f4651b1c42">TIMER_EnableCapture</a></div><div class="ttdeci">void TIMER_EnableCapture(TIMER_T *timer, uint32_t u32CapMode, uint32_t u32Edge)</div><div class="ttdoc">This API is used to enable timer capture function with specified mode and capture edge.</div><div class="ttdef"><b>Definition:</b> <a href="timer_8c_source.html#l00145">timer.c:145</a></div></div>
<div class="ttc" id="struct_t_i_m_e_r___t_html_a318a005634055ef475a9a49ca8689a6c"><div class="ttname"><a href="struct_t_i_m_e_r___t.html#a318a005634055ef475a9a49ca8689a6c">TIMER_T::TCAP</a></div><div class="ttdeci">__I uint32_t TCAP</div><div class="ttdef"><b>Definition:</b> <a href="_mini51_series_8h_source.html#l08460">Mini51Series.h:8460</a></div></div>
<div class="ttc" id="_mini51_series_8h_html_aa51acd745fc81fa0f130af746eb05e13"><div class="ttname"><a href="_mini51_series_8h.html#aa51acd745fc81fa0f130af746eb05e13">TIMER_TCSR_WAKE_EN_Msk</a></div><div class="ttdeci">#define TIMER_TCSR_WAKE_EN_Msk</div><div class="ttdef"><b>Definition:</b> <a href="_mini51_series_8h_source.html#l08491">Mini51Series.h:8491</a></div></div>
<div class="ttc" id="group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga90c44d7420eb48f3e68aed6218140b76"><div class="ttname"><a href="group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga90c44d7420eb48f3e68aed6218140b76">TIMER_DisableEventCounterDebounce</a></div><div class="ttdeci">__STATIC_INLINE void TIMER_DisableEventCounterDebounce(TIMER_T *timer)</div><div class="ttdoc">This function is used to disable the counter pin detection de-bounce function.</div><div class="ttdef"><b>Definition:</b> <a href="timer_8h_source.html#l00176">timer.h:176</a></div></div>
<div class="ttc" id="group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gad445a69f7f52303a643e5f9387a558c3"><div class="ttname"><a href="group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad445a69f7f52303a643e5f9387a558c3">TIMER_EnableWakeup</a></div><div class="ttdeci">__STATIC_INLINE void TIMER_EnableWakeup(TIMER_T *timer)</div><div class="ttdoc">This function is used to enable the Timer wake-up function.</div><div class="ttdef"><b>Definition:</b> <a href="timer_8h_source.html#l00124">timer.h:124</a></div></div>
<div class="ttc" id="struct_t_i_m_e_r___t_html_acccdb5f192f04f6cc1624399c77c4fa7"><div class="ttname"><a href="struct_t_i_m_e_r___t.html#acccdb5f192f04f6cc1624399c77c4fa7">TIMER_T::TEXISR</a></div><div class="ttdeci">__IO uint32_t TEXISR</div><div class="ttdef"><b>Definition:</b> <a href="_mini51_series_8h_source.html#l08462">Mini51Series.h:8462</a></div></div>
<div class="ttc" id="struct_t_i_m_e_r___t_html_aefd319497c0455130b863e99e93a9f95"><div class="ttname"><a href="struct_t_i_m_e_r___t.html#aefd319497c0455130b863e99e93a9f95">TIMER_T::TDR</a></div><div class="ttdeci">__I uint32_t TDR</div><div class="ttdef"><b>Definition:</b> <a href="_mini51_series_8h_source.html#l08459">Mini51Series.h:8459</a></div></div>
<div class="ttc" id="group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gaf78a85b8781c5cba0d3dfaa30b9c1248"><div class="ttname"><a href="group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaf78a85b8781c5cba0d3dfaa30b9c1248">TIMER_ClearWakeupFlag</a></div><div class="ttdeci">__STATIC_INLINE void TIMER_ClearWakeupFlag(TIMER_T *timer)</div><div class="ttdoc">This function clears the Timer wakeup interrupt flag.</div><div class="ttdef"><b>Definition:</b> <a href="timer_8h_source.html#l00282">timer.h:282</a></div></div>
<div class="ttc" id="group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga583f9d7339d496764f99429fbd81dbab"><div class="ttname"><a href="group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga583f9d7339d496764f99429fbd81dbab">TIMER_DisableWakeup</a></div><div class="ttdeci">__STATIC_INLINE void TIMER_DisableWakeup(TIMER_T *timer)</div><div class="ttdoc">This function is used to disable the Timer wake-up function.</div><div class="ttdef"><b>Definition:</b> <a href="timer_8h_source.html#l00134">timer.h:134</a></div></div>
<div class="ttc" id="struct_t_i_m_e_r___t_html_ad024448a606c2214c11475426fb23d35"><div class="ttname"><a href="struct_t_i_m_e_r___t.html#ad024448a606c2214c11475426fb23d35">TIMER_T::TISR</a></div><div class="ttdeci">__IO uint32_t TISR</div><div class="ttdef"><b>Definition:</b> <a href="_mini51_series_8h_source.html#l08458">Mini51Series.h:8458</a></div></div>
<div class="ttc" id="struct_t_i_m_e_r___t_html"><div class="ttname"><a href="struct_t_i_m_e_r___t.html">TIMER_T</a></div><div class="ttdef"><b>Definition:</b> <a href="_mini51_series_8h_source.html#l08097">Mini51Series.h:8097</a></div></div>
<div class="ttc" id="struct_t_i_m_e_r___t_html_a48abedbfa535d900d5b544d8bcf2edf6"><div class="ttname"><a href="struct_t_i_m_e_r___t.html#a48abedbfa535d900d5b544d8bcf2edf6">TIMER_T::TCSR</a></div><div class="ttdeci">__IO uint32_t TCSR</div><div class="ttdef"><b>Definition:</b> <a href="_mini51_series_8h_source.html#l08456">Mini51Series.h:8456</a></div></div>
<div class="ttc" id="group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga72fc8741562dbff619aa7dfe8b73c0a7"><div class="ttname"><a href="group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga72fc8741562dbff619aa7dfe8b73c0a7">TIMER_EnableEventCounter</a></div><div class="ttdeci">void TIMER_EnableEventCounter(TIMER_T *timer, uint32_t u32Edge)</div><div class="ttdoc">This function is used to enable the Timer counter function with specify detection edge.</div><div class="ttdef"><b>Definition:</b> <a href="timer_8c_source.html#l00174">timer.c:174</a></div></div>
<div class="ttc" id="group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga0dad1dbaf69f945c3d0d5aa91c4eef86"><div class="ttname"><a href="group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga0dad1dbaf69f945c3d0d5aa91c4eef86">TIMER_Delay</a></div><div class="ttdeci">void TIMER_Delay(TIMER_T *timer, uint32_t u32Usec)</div><div class="ttdoc">This API is used to create a delay loop for u32usec micro seconds.</div><div class="ttdef"><b>Definition:</b> <a href="timer_8c_source.html#l00088">timer.c:88</a></div></div>
<div class="ttc" id="group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga04e518c504610075d9b8760d2e77eb82"><div class="ttname"><a href="group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga04e518c504610075d9b8760d2e77eb82">TIMER_GetCaptureData</a></div><div class="ttdeci">__STATIC_INLINE uint32_t TIMER_GetCaptureData(TIMER_T *timer)</div><div class="ttdoc">This function gets the Timer capture data.</div><div class="ttdef"><b>Definition:</b> <a href="timer_8h_source.html#l00292">timer.h:292</a></div></div>
<div class="ttc" id="group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gad2287e49bacc47dc186b4f1a784ccf70"><div class="ttname"><a href="group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad2287e49bacc47dc186b4f1a784ccf70">TIMER_EnableCaptureInt</a></div><div class="ttdeci">__STATIC_INLINE void TIMER_EnableCaptureInt(TIMER_T *timer)</div><div class="ttdoc">This function is used to enable the Timer capture trigger interrupt function.</div><div class="ttdef"><b>Definition:</b> <a href="timer_8h_source.html#l00206">timer.h:206</a></div></div>
<div class="ttc" id="group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga234d45c63fb6f5e977dbef2294089621"><div class="ttname"><a href="group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga234d45c63fb6f5e977dbef2294089621">TIMER_Open</a></div><div class="ttdeci">uint32_t TIMER_Open(TIMER_T *timer, uint32_t u32Mode, uint32_t u32Freq)</div><div class="ttdoc">This API is used to configure timer to operate in specified mode and frequency. If timer cannot work ...</div><div class="ttdef"><b>Definition:</b> <a href="timer_8c_source.html#l00042">timer.c:42</a></div></div>
<div class="ttc" id="_mini51_series_8h_html_affdad20b9b2987b52ac6f7217d37844f"><div class="ttname"><a href="_mini51_series_8h.html#affdad20b9b2987b52ac6f7217d37844f">TIMER_TEXCON_TEXDB_Msk</a></div><div class="ttdeci">#define TIMER_TEXCON_TEXDB_Msk</div><div class="ttdef"><b>Definition:</b> <a href="_mini51_series_8h_source.html#l08545">Mini51Series.h:8545</a></div></div>
<div class="ttc" id="group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga0e4d868cd866609e1b98e685029e399d"><div class="ttname"><a href="group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga0e4d868cd866609e1b98e685029e399d">TIMER_ClearIntFlag</a></div><div class="ttdeci">__STATIC_INLINE void TIMER_ClearIntFlag(TIMER_T *timer)</div><div class="ttdoc">This function clears the Timer time-out interrupt flag.</div><div class="ttdef"><b>Definition:</b> <a href="timer_8h_source.html#l00238">timer.h:238</a></div></div>
<div class="ttc" id="_mini51_series_8h_html_a5dc2c76ee16454270b3f52350953c256"><div class="ttname"><a href="_mini51_series_8h.html#a5dc2c76ee16454270b3f52350953c256">TIMER_TEXISR_TEXIF_Msk</a></div><div class="ttdeci">#define TIMER_TEXISR_TEXIF_Msk</div><div class="ttdef"><b>Definition:</b> <a href="_mini51_series_8h_source.html#l08554">Mini51Series.h:8554</a></div></div>
<div class="ttc" id="group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga3e1ee4f64bd158bbb76acaac4e25b90a"><div class="ttname"><a href="group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3e1ee4f64bd158bbb76acaac4e25b90a">TIMER_GetWakeupFlag</a></div><div class="ttdeci">__STATIC_INLINE uint32_t TIMER_GetWakeupFlag(TIMER_T *timer)</div><div class="ttdoc">This function indicates Timer has waked up system or not.</div><div class="ttdef"><b>Definition:</b> <a href="timer_8h_source.html#l00272">timer.h:272</a></div></div>
<div class="ttc" id="group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga0fd1d66fab73f93376485bb989fc7c67"><div class="ttname"><a href="group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga0fd1d66fab73f93376485bb989fc7c67">TIMER_Start</a></div><div class="ttdeci">__STATIC_INLINE void TIMER_Start(TIMER_T *timer)</div><div class="ttdoc">This function is used to start Timer counting.</div><div class="ttdef"><b>Definition:</b> <a href="timer_8h_source.html#l00103">timer.h:103</a></div></div>
<div class="ttc" id="group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gaefa1dedc6523e6c1988cde80a514957e"><div class="ttname"><a href="group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaefa1dedc6523e6c1988cde80a514957e">TIMER_GetIntFlag</a></div><div class="ttdeci">__STATIC_INLINE uint32_t TIMER_GetIntFlag(TIMER_T *timer)</div><div class="ttdoc">This function indicates Timer time-out interrupt occurred or not.</div><div class="ttdef"><b>Definition:</b> <a href="timer_8h_source.html#l00228">timer.h:228</a></div></div>
<div class="ttc" id="group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga4460ba2e5f3bdddafab005e1e1fda0da"><div class="ttname"><a href="group___m_i_n_i51___t_i_m_e_r___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga4460ba2e5f3bdddafab005e1e1fda0da">TIMER_DisableEventCounter</a></div><div class="ttdeci">void TIMER_DisableEventCounter(TIMER_T *timer)</div><div class="ttdoc">This API is used to disable the Timer event counter function.</div><div class="ttdef"><b>Definition:</b> <a href="timer_8c_source.html#l00185">timer.c:185</a></div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Mon Oct 5 2020 14:31:43 for Mini51 BSP by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.15
</small></address>
</body>
</html>
